
RSB XML Support - Tasks #451
Integration Test for Cross-language XOP Communication
07/27/2011 01:20 PM - J. Moringen

Status: Resolved Start date: 07/27/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Language Integration Estimated time: 0.00 hour
Target version:
Description

    -  C++ (in progress)
    -  Python (basic stuff works)
    -  Java (missing)
    -  Common Lisp (basic stuff works)

Associated revisions
Revision 711903a9 - 07/27/2011 02:48 PM - J. Moringen
Added tests coordination script in integrationtest/test
refs #451
    -  integrationtest/test/integrationtest.py: coordination script for

  integration test
    -  integrationtest/test/spread.conf.in: template for Spread

  configuration file for integration test

Revision 4e343ecc - 07/27/2011 08:01 PM - J. Moringen
Recompute options in integrationtest/lisp/{informer,listener}.lisp
refs #451
    -  integrationtest/lisp/informer.lisp: recompute RSB configuration

  options when image is restarted
    -  integrationtest/lisp/listener.lisp: likewise

Revision 6b55cdfc - 07/27/2011 08:07 PM - J. Moringen
Create wait file in integrationtest/lisp/listener.lisp
refs #451
    -  integrationtest/lisp/listener.lisp: once the reader instance is

  setup, create a "wait file" for the test coordinator

Revision 84056f52 - 08/02/2011 04:05 AM - J. Moringen
Refactoring, and improvements in test/integrationtest.py
refs #451
    -  test/integrationtest.py: refactored spawning and waiting functions;

  reduced wait times

Revision 5881d76a - 08/02/2011 04:18 AM - J. Moringen
Added Python programs in integrationtest/python/{listener,informer}.py
refs #451
    -  python/informer.py: new file; informer for Python
    -  python/listener.py: new file; listener for Python

Revision 5ea08919 - 08/02/2011 05:21 AM - J. Moringen
Open output files correctly in python/listener.py
refs #451
    -  python/listener.py: open output files with 'w' mode; fixed filenames

  of output files

Revision a13dc9d6 - 08/02/2011 05:37 AM - J. Moringen
Don't write output into data directory in python/listener.py
refs #451
    -  python/listener.py: open output files in the current directory

  instead of the data directory

Revision fe1c336c - 08/02/2011 05:50 AM - J. Moringen
Fixed variable name in python/listener.py
refs #451
    -  python/listener.py: fixed variable reference Receiver.conter ->

  Receiver.counter

History
#1 - 07/27/2011 01:20 PM - J. Moringen
- Category set to Language Integration

#2 - 07/27/2011 08:54 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 30

#3 - 12/21/2011 06:20 PM - J. Moringen
- Assignee set to J. Moringen
- % Done changed from 30 to 50

#4 - 01/06/2012 06:06 PM - J. Moringen
- Description updated
- % Done changed from 50 to 70

#5 - 06/08/2016 01:02 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

03/20/2024 2/2


